Package com.macrofocus.high_d.swing

# Class SwingHighDFactory<Row,Column,Value>

java.lang.Object
com.macrofocus.high_d.HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>
com.macrofocus.high_d.swing.SwingHighDFactory<Row,Column,Value>

Type Parameters:
  `Row` - the type of rows
  `Column` - the type of columns

public class SwingHighDFactory<Row,Column,Value> extends HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>
A factory for creating High-D interactive visualizations using natively Swing components.

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.HighDFactory

  `annotationDataFrame, axisHierarchy, dataFrame, filtersAxisHierarchy, settings, subsetDataFrame, visual`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingHighDFactory()`
  `SwingHighDFactory(HighDSettings settings)`
  `SwingHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame)`
  `SwingHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame, com.macrofocus.molap.dataframe.DataFrame<?,Column,?> annotationDataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> axisHierarchy, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> filtersAxisHierarchy, HighDSettings settings)`
  `SwingHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BarChart<JComponent,Color,Row,Column>`
  `createBarChart()`
  `<Bin> com.macrofocus.high_d.filters.CategoricalFilterComponent<JComponent,Color>`
  `createCategoricalFilter(Column column, com.macrofocus.molap.subset.Reducer<Row,Bin> reducer, com.macrofocus.molap.subset.MultiBinningDimension.MultiBinningStrategy<Row,Bin> binningStrategy)`
  `<Bin> com.macrofocus.high_d.filters.CategoricalFilterComponent<JComponent,Color>`
  `createCategoricalFilter(Column column, com.macrofocus.molap.subset.Reducer<Row,Bin> reducer, com.macrofocus.molap.subset.SingleBinningDimension.SingleBinningStrategy<Row,Bin> binningStrategy)`
  `com.macrofocus.high_d.filters.CategoricalFilterComponent<JComponent,Color>`
  `createCategoricalFilter(Column column, com.macrofocus.molap.subset.Reducer<Row,Value> reducer)`
  `Clustering<JComponent,Color,Row,Column>`
  `createClustering()`
  `ControlChart<JComponent,Color,Font,Row,Column>`
  `createControlChart()`
  Creates a control chart.
  `Details<JComponent,Color,Row,Column>`
  `createDetails()`
  `SwingDistributions<Row,Column,Value,?>`
  `createDistributions()`
  Creates a distributions plot.
  `CPExecutor`
  `createExecutor()`
  Creates a multidimensional scaling plot.
  `com.macrofocus.high_d.filters.Filters<JComponent,Color,Row,Column,Value>`
  `createFilters()`
  `com.macrofocus.high_d.filters.Filters<JComponent,Color,Row,Column,Value>`
  `createFilters(com.macrofocus.molap.subset.Reducer<Row,Value> reducer)`
  `HeatMap<JComponent,Color,Row,Column>`
  `createHeatMap()`
  `<Row, Column, Value>
  HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`
  `createHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame)`
  `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`
  `createHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame, com.macrofocus.molap.dataframe.DataFrame<?,Column,?> annotationDataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> axisHierarchy, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> filtersAxisHierarchy, HighDSettings settings)`
  `ListView<JComponent,Integer,String>`
  `createList(Column column)`
  `SwingMDS<Row,Column>`
  `createMDS()`
  Creates a MDS
  `MDSScatterPlotModel<Color,Row,Column>`
  `createMDSModel()`
  `com.macrofocus.high_d.filters.OrdinalFilterComponent<JComponent,Color,Format>`
  `createOrdinalFilter(Column column, com.macrofocus.format.CPFormat format, int visibleLength)`
  `ParallelCoordinates<JComponent,Color,Row,Column>`
  `createParallelCoordinates()`
  Creates a parallel coordinates plot.
  `ParallelCoordinatesMatrix<JComponent,Color,Row,Column>`
  `createParallelCoordinatesMatrix()`
  Creates a parallel coordinates matrix plot.
  `ParallelCoordinatesModel<Color,Row,Column>`
  `createParallelCoordinatesModel()`
  `Regression<JComponent,Color,Row,Column>`
  `createRegression()`
  `ScatterPlot<JComponent,Color,Font,Row,Column>`
  `createScatterPlot()`
  Creates a scatter plot.
  `ScatterPlot<JComponent,Color,Font,Row,Column>`
  `createScatterPlot(ScatterPlotModel<Color,Row,Column> model)`
  Creates a scatter plot.
  `ScatterPlotMatrix<JComponent,Color,Row,Column>`
  `createScatterPlotMatrix()`
  Creates a scatter plot matrix.
  `SOM<JComponent,Color,Row,Column>`
  `createSOM()`
  `Statistics<JComponent,Color,Format,Row,Column,Value>`
  `createStatistics()`
  Creates a statistic table.
  `Table<JComponent,Color,Format,Row,Column,Value>`
  `createTable()`
  Creates a table.
  `<Row, Column, Value>
  Table<JComponent,Color,Format,Row,Column,Value>`
  `createTable(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual)`
  `TableLens<JComponent,Color,Row,Column>`
  `createTableLens()`
  Creates a tables lens.
  `<N extends com.treemap.AbstractTreeMapNode<N, Row, Column, Color, Font>>
  com.treemap.TreeMap<JComponent,N,Row,Column,Color,Font>`
  `createTreeMap()`
  `<N extends com.treemap.AbstractTreeMapNode<N, Row, Column, Color, Font>>
  HighDTreeMapModel<Color,Font,N,Row,Column>`
  `createTreeMapModel()`
  `com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value>`
  `getSubsetDataFrame()`

  ### Methods inherited from class com.macrofocus.high_d.HighDFactory

  `createBarChartModel, createClusteringModel, createControlCharttModel, createDistributionsModel, createHeatMapModel, createOrdinalFilter, createParallelCoordinatesMatrixModel, createScatterPlotMatrixModel, createScatterPlotModel, createSOMModel, createTableLensModel, customizeBarChart, customizeCategoricalFilterComponent, customizeControlChart, customizeDistribution, customizeFilters, customizeHeatMap, customizeMDS, customizeParallelCoordinates, customizeParallelCoordinatesMatrix, customizeScatterPlot, customizeScatterPlotMatrix, customizeSOM, customizeStatistics, customizeTable, customizeTableLens, forColumns, forColumns, getAllowScrolling, getAnnotationDataFrame, getAntialiasing, getAxisHierarchy, getColorMapFactory, getColorTheme, getCPFactory, getDataFrame, getFiltersAxisHierarchy, getGeometry, getInteractionMode, getRendering, getShowFiltered, getVisual, setAnnotationDataFrame, setAxisHierarchy, setColorTheme, setDataFrame, setDataFrame, setDataFrame, setFiltersAxisHierarchy, setInteractionMode, setLicenseKey, setSettings, setSubsetDataFrame, setVisual`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingHighDFactory

    public SwingHighDFactory()

  - ### SwingHighDFactory

    public SwingHighDFactory(HighDSettings settings)

  - ### SwingHighDFactory

    public SwingHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame)

  - ### SwingHighDFactory

    public SwingHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual)

  - ### SwingHighDFactory

    public SwingHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame, com.macrofocus.molap.dataframe.DataFrame<?,Column,?> annotationDataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> axisHierarchy, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> filtersAxisHierarchy, HighDSettings settings)

- ## Method Details

  - ### getSubsetDataFrame

    public com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> getSubsetDataFrame()
    Overrides:
      `getSubsetDataFrame` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`

  - ### createHighDFactory

    public <Row, Column, Value> HighDFactory<JComponent,Color,Font,Format,Row,Column,Value> createHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame)
    Specified by:
      `createHighDFactory` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`

  - ### createHighDFactory

    public HighDFactory<JComponent,Color,Font,Format,Row,Column,Value> createHighDFactory(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.molap.subset.SubsetDataFrame<Row,Column,Value> subsetDataFrame, com.macrofocus.molap.dataframe.DataFrame<?,Column,?> annotationDataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> axisHierarchy, com.macrofocus.high_d.axis.hierarchy.AxisHierarchy<Row,Column> filtersAxisHierarchy, HighDSettings settings)
    Specified by:
      `createHighDFactory` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`

  - ### createParallelCoordinates

    public ParallelCoordinates<JComponent,Color,Row,Column> createParallelCoordinates()
    Description copied from class: `HighDFactory`
    Creates a parallel coordinates plot.
    Specified by:
      `createParallelCoordinates` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`
    Returns:
      a parallel coordinates plot

  - ### createParallelCoordinatesModel

    public ParallelCoordinatesModel<Color,Row,Column> createParallelCoordinatesModel()

  - ### createParallelCoordinatesMatrix

    public ParallelCoordinatesMatrix<JComponent,Color,Row,Column> createParallelCoordinatesMatrix()
    Description copied from class: `HighDFactory`
    Creates a parallel coordinates matrix plot.
    Specified by:
      `createParallelCoordinatesMatrix` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`
    Returns:
      a parallel coordinates matrix plot

  - ### createTableLens

    public TableLens<JComponent,Color,Row,Column> createTableLens()
    Description copied from class: `HighDFactory`
    Creates a tables lens.
    Specified by:
      `createTableLens` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`
    Returns:
      a tables lens

  - ### createScatterPlot

    public ScatterPlot<JComponent,Color,Font,Row,Column> createScatterPlot()
    Description copied from class: `HighDFactory`
    Creates a scatter plot.
    Specified by:
      `createScatterPlot` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`
    Returns:
      a scatter plot

  - ### createScatterPlot

    public ScatterPlot<JComponent,Color,Font,Row,Column> createScatterPlot(ScatterPlotModel<Color,Row,Column> model)
    Description copied from class: `HighDFactory`
    Creates a scatter plot.
    Specified by:
      `createScatterPlot` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`
    Returns:
      a scatter plot

  - ### createMDS

    public SwingMDS<Row,Column> createMDS()
    Description copied from class: `HighDFactory`
    Creates a MDS
    Specified by:
      `createMDS` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`
    Returns:
      a MDS

  - ### createControlChart

    public ControlChart<JComponent,Color,Font,Row,Column> createControlChart()
    Description copied from class: `HighDFactory`
    Creates a control chart.
    Specified by:
      `createControlChart` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`
    Returns:
      a control chart

  - ### createScatterPlotMatrix

    public ScatterPlotMatrix<JComponent,Color,Row,Column> createScatterPlotMatrix()
    Description copied from class: `HighDFactory`
    Creates a scatter plot matrix.
    Specified by:
      `createScatterPlotMatrix` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`
    Returns:
      a scatter plot matrix

  - ### createMDSModel

    public MDSScatterPlotModel<Color,Row,Column> createMDSModel()
    Specified by:
      `createMDSModel` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`

  - ### createExecutor

    public CPExecutor createExecutor()
    Description copied from class: `HighDFactory`
    Creates a multidimensional scaling plot.
    Specified by:
      `createExecutor` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`
    Returns:
      a multidimensional scaling plot

  - ### createDistributions

    public SwingDistributions<Row,Column,Value,?> createDistributions()
    Description copied from class: `HighDFactory`
    Creates a distributions plot.
    Specified by:
      `createDistributions` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`
    Returns:
      a distributions plot

  - ### createStatistics

    public Statistics<JComponent,Color,Format,Row,Column,Value> createStatistics()
    Description copied from class: `HighDFactory`
    Creates a statistic table.
    Specified by:
      `createStatistics` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`
    Returns:
      a statistic table

  - ### createTreeMap

    public <N extends com.treemap.AbstractTreeMapNode<N, Row, Column, Color, Font>> com.treemap.TreeMap<JComponent,N,Row,Column,Color,Font> createTreeMap()

  - ### createTreeMapModel

    public <N extends com.treemap.AbstractTreeMapNode<N, Row, Column, Color, Font>> HighDTreeMapModel<Color,Font,N,Row,Column> createTreeMapModel()

  - ### createTable

    public Table<JComponent,Color,Format,Row,Column,Value> createTable()
    Description copied from class: `HighDFactory`
    Creates a table.
    Specified by:
      `createTable` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`
    Returns:
      a table

  - ### createTable

    public <Row, Column, Value> Table<JComponent,Color,Format,Row,Column,Value> createTable(com.macrofocus.molap.dataframe.DataFrame<Row,Column,Value> dataFrame, com.macrofocus.visual.Visual<Color,Row,Column> visual)
    Specified by:
      `createTable` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`

  - ### createList

    public ListView<JComponent,Integer,String> createList(Column column)
    Specified by:
      `createList` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`

  - ### createFilters

    public com.macrofocus.high_d.filters.Filters<JComponent,Color,Row,Column,Value> createFilters()
    Specified by:
      `createFilters` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`

  - ### createFilters

    public com.macrofocus.high_d.filters.Filters<JComponent,Color,Row,Column,Value> createFilters(com.macrofocus.molap.subset.Reducer<Row,Value> reducer)

  - ### createCategoricalFilter

    public com.macrofocus.high_d.filters.CategoricalFilterComponent<JComponent,Color> createCategoricalFilter(Column column, com.macrofocus.molap.subset.Reducer<Row,Value> reducer)
    Specified by:
      `createCategoricalFilter` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`

  - ### createCategoricalFilter

    public <Bin> com.macrofocus.high_d.filters.CategoricalFilterComponent<JComponent,Color> createCategoricalFilter(Column column, com.macrofocus.molap.subset.Reducer<Row,Bin> reducer, com.macrofocus.molap.subset.SingleBinningDimension.SingleBinningStrategy<Row,Bin> binningStrategy)
    Specified by:
      `createCategoricalFilter` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`

  - ### createCategoricalFilter

    public <Bin> com.macrofocus.high_d.filters.CategoricalFilterComponent<JComponent,Color> createCategoricalFilter(Column column, com.macrofocus.molap.subset.Reducer<Row,Bin> reducer, com.macrofocus.molap.subset.MultiBinningDimension.MultiBinningStrategy<Row,Bin> binningStrategy)
    Specified by:
      `createCategoricalFilter` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`

  - ### createOrdinalFilter

    public com.macrofocus.high_d.filters.OrdinalFilterComponent<JComponent,Color,Format> createOrdinalFilter(Column column, com.macrofocus.format.CPFormat format, int visibleLength)
    Specified by:
      `createOrdinalFilter` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`

  - ### createSOM

    public SOM<JComponent,Color,Row,Column> createSOM()
    Specified by:
      `createSOM` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`

  - ### createBarChart

    public BarChart<JComponent,Color,Row,Column> createBarChart()
    Specified by:
      `createBarChart` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`

  - ### createHeatMap

    public HeatMap<JComponent,Color,Row,Column> createHeatMap()
    Specified by:
      `createHeatMap` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`

  - ### createDetails

    public Details<JComponent,Color,Row,Column> createDetails()
    Specified by:
      `createDetails` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`

  - ### createClustering

    public Clustering<JComponent,Color,Row,Column> createClustering()
    Specified by:
      `createClustering` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`

  - ### createRegression

    public Regression<JComponent,Color,Row,Column> createRegression()
    Specified by:
      `createRegression` in class `HighDFactory<JComponent,Color,Font,Format,Row,Column,Value>`